ChangeSet 1.1119.3.6, 2003/09/05 15:47:10-07:00, greg@kroah.com

[PATCH] USB: fix copy_from_user call in aiptek.c


 drivers/usb/aiptek.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/aiptek.c b/drivers/usb/aiptek.c
--- a/drivers/usb/aiptek.c	Fri Sep  5 17:10:48 2003
+++ b/drivers/usb/aiptek.c	Fri Sep  5 17:10:48 2003
@@ -1102,7 +1102,8 @@
 	int num;
 
 	num = (count < 64) ? count : 64;
-	copy_from_user(buf, buffer, num);
+	if (copy_from_user(buf, buffer, num))
+		return -EFAULT;
 	buf[num] = '\0';
 
 	scan = buf;
